SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000863SiT!configpublic2009-08-15 13:262013-01-05 15:23
Reporterivan 
Assigned Toivan 
PriorityhighSeverityfeatureReproducibilityN/A
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version 
Target Version4.0Fixed in Version 
Summary0000863: [META] User preferences/config table
DescriptionA database table to store user preferences. We have already said that we will do this but I can't find it logged so here we are.
Additional InformationA similar table is also needed for contacts so maybe the two could be the same table?
TagsNo tags attached.
Attached Files

- Relationships
parent of 0000855resolvedivan Inactive contracts do not get hidden 
parent of 0000183confirmed 12/24 clock wanted 
parent of 0000864confirmed New config setting for 'Default User Timezone' 
parent of 0000961confirmed Ability to hide SiT case updates like "reassigned to .." 
parent of 0000060resolvedivan "Are you sure messages", should be optional 
parent of 0000047resolvedivan Popup uniqueness option 
parent of 0000334resolvedivan Need config option to turn legend on incident.php off 
parent of 0001097acknowledged User preference to turn off SOUNDEX searching 
parent of 0001106resolvedpaulh Migrate existing user configuration from users table to userconfig table 
parent of 0001438closed config : target='_blank' for external sites 
parent of 0001448confirmed ICQ is dead 
parent of 0001455resolvedivan Allow users to configure map link 
has duplicate 0001094resolvedivan Redesign user preferences table 
related to 0000050assignedpaulh [META] Basic Web Services API 
Not all the children of this issue are yet resolved or closed.

-  Notes
User avatar (0002439)
ivan (administrator)
2010-02-21 21:01

I'm working on this in my git branch here http://gitorious.org/~ericthefish/sit/ericthefish-sit/commits/userconfig [^]

assuming I don't bork it up while trying to learn git ;)
User avatar (0002541)
ivan (administrator)
2010-02-28 18:41

User preference table with "My Settings" form pushed to sit master Git 2e207f6
26 Commits
User avatar (0003567)
ivan (administrator)
2011-02-10 18:12

Need a way to handle user defaults better
User avatar (0004627)
ivan (administrator)
2013-01-05 15:23

Some work done on this for 3.90, rest bumping to 4.0

- Issue History
Date Modified Username Field Change
2009-08-15 13:26 ivan New Issue
2009-08-15 13:26 ivan Status new => confirmed
2009-08-15 13:26 ivan Relationship added parent of 0000855
2009-08-15 13:26 ivan Relationship added parent of 0000681
2009-08-15 13:26 ivan Relationship added parent of 0000183
2009-08-15 13:34 ivan Relationship added parent of 0000864
2009-09-23 12:09 ivan Relationship added parent of 0000961
2009-09-23 13:40 ivan Relationship added parent of 0000060
2009-09-23 13:41 ivan Relationship added parent of 0000047
2009-09-23 13:42 ivan Relationship added parent of 0000334
2010-02-21 20:36 ivan Status confirmed => assigned
2010-02-21 20:36 ivan Assigned To => ivan
2010-02-21 20:36 ivan Target Version => 4.0
2010-02-21 21:01 ivan Note Added: 0002439
2010-02-21 21:34 ivan Relationship added parent of 0001097
2010-02-24 21:06 ivan Summary User preferences/config table => [META] User preferences/config table
2010-02-24 21:06 ivan Relationship added parent of 0001106
2010-02-24 21:12 ivan Relationship added related to 0000050
2010-02-24 21:42 ivan Relationship added has duplicate 0001094
2010-02-28 18:41 ivan Note Added: 0002541
2010-02-28 18:45 ivan Relationship deleted parent of 0000681
2011-02-08 13:52 ivan Relationship added parent of 0001438
2011-02-08 14:11 paulh Relationship added parent of 0001448
2011-02-10 18:12 ivan Note Added: 0003567
2011-02-10 18:24 ivan Relationship added parent of 0001455
2011-02-14 13:21 ivan Target Version 4.0 => 3.90beta1
2013-01-05 15:23 ivan Note Added: 0004627
2013-01-05 15:23 ivan Target Version 3.90beta1 => 4.0


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker